import { getRequest, postRequest, uploadFile } from "@/utils/request";

// 批量新增设备
export async function deviceHardAddList(data: any) {
  return postRequest(`/xgd/deviceHard/addList`, data);
}

// 查找设备
export async function deviceHardDeviceHardSelect(params: any) {
  return getRequest(`/xgd/deviceHard/deviceHardSelect`, params);
}

// 设备注册OR修改数据
export async function deviceHardEditOrAdd(data: any) {
  return postRequest(`/xgd/deviceHard/editOrAdd`, data);
}

// 查看设备
export async function deviceHardGetById(params: any) {
  return getRequest(`/xgd/deviceHard/getById/${params?.id}`, {});
}

// 分页查看设备
export async function deviceHardPage(params: any) {
  return getRequest(`/xgd/deviceHard/page`, params);
}

// 管理系统注册修改或者删除
export async function managerSystemEditOrAdd(data: any) {
  return postRequest(`/xgd/managerSystem/editOrAdd`, data);
}

// 查看系统
export async function managerSystemConfigId(params: any) {
  return getRequest(`/xgd/managerSystem/getById/${params.id}`, {});
}

// 分页查看系统
export async function managerSystemConfigList(params: any) {
  return getRequest(`/xgd/managerSystem/page`, params);
}

// 照片注册或修改
export async function devicePhotoEditOrAdd(data: any) {
  return postRequest(`/xgd/devicePhoto/editOrAdd`, data);
}

// 分页查看设备照片
export async function devicePhotoList(params: any) {
  return getRequest(`/xgd/devicePhoto/page`, params);
}

// 新增或修改位置
export async function unitAddressEditOrAdd(data: any) {
  return postRequest(`/xgd/unitAddress/editOrAdd`, data);
}

// 单位名称列表分页查看
export async function unitAddressList(params: any) {
  return getRequest(`/xgd/unitAddress/page`, params);
}

// 管理系统管理盘数据维护(导入管理系统盘) - 数据导入
export async function manageDiskDataImport(formData: any) {
  return uploadFile(`/xgd/secretInstall/dataImport`, formData);
}

// 管理系统管理盘数据维护 - 列表
export async function managerSysDataList(params: any) {
  return getRequest(`/xgd/secretInstall/managerSysDataList`, params);
}
